This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 822874

Summary: kernel: incomplete fix for CVE-2011-4131 [fedora-all]
Product: [Fedora] Fedora Reporter: Petr Matousek <pmatouse>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 16CC: davej, gansalmon, itamar, jforbes, jonathan, jwboyer, kernel-maint, madhu.chinakonda
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-05-26 18:24:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 822869    

Description Petr Matousek 2012-05-18 07:16:49 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=822869

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.


Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Josh Boyer 2012-05-18 07:41:01 EDT
Rawhide contains the fixes already.  F15-F17 need backports.
Comment 2 Josh Boyer 2012-05-18 09:20:46 EDT
commit 8bc8e9b14ba8c76a403478c0ad7b434be88a852b
Author: Sachin Prabhu <sprabhu@redhat.com>
Date:   Thu Mar 22 16:46:28 2012 +0000

    Fix length of buffer copied in __nfs4_get_acl_uncached
    
    commit 20e0fa98b751facf9a1101edaefbc19c82616a68 upstream.

is in 3.3.2, so it's already fixed on F15-F17.

The other two commits have been added.
Comment 3 Fedora Update System 2012-05-22 18:38:22 EDT
kernel-3.3.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.3.7-1.fc17
Comment 4 Fedora Update System 2012-05-22 18:39:33 EDT
kernel-3.3.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.3.7-1.fc16
Comment 5 Fedora Update System 2012-05-23 08:56:13 EDT
kernel-2.6.43.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.7-1.fc15
Comment 6 Fedora Update System 2012-05-24 11:35:51 EDT
Package kernel-3.3.7-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.3.7-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8314/kernel-3.3.7-1.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-05-26 18:24:11 EDT
kernel-3.3.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-05-26 21:49:58 EDT
kernel-3.3.7-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-06-04 20:33:31 EDT
kernel-2.6.43.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kernel-2.6.43.8-1.fc15
Comment 10 Fedora Update System 2012-06-22 04:37:32 EDT
kernel-2.6.43.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.